Subject: Re: bug#43866: 26.3; italian postfix additions

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Oct 2020 23:45:48 +0300

>> It seems the TeX input method requires typing whole Unicode names,
>> or at least unambiguous parts of names, e.g. '\euro' inserts €,
>> '\smile' inserts ⌣, but can't type '\smiling face with sunglasses'.
>> Also I see a hex Unicode input method in uni-input.el that supports
>> e.g. U<hex> or u<hex>, RFC1345 mnemonics in rfc1345.el,
>> SGML entities in sgml-input.el.  So adding a X11 Compose method would be handy.
>
> Agreed.

Here's is a working implementation.  It binds all key sequences to the key
'C-+' that has the mnemonics of adding a character.  'C-+' is free because
it can't be used to zoom text since its counterpart key 'C--' is already
taken to input numeric arguments.  'C-+ C-+' is bound to 'insert-char'
like the current longer key sequence 'C-x 8 RET' that is hard to type.